io.undertow.predicate

## Class TruePredicate

- java.lang.Object
- - io.undertow.predicate.TruePredicate

All Implemented Interfaces:
  Predicate

    public class TruePredicate
    extends Object
    implements Predicate

Author:
  Stuart Douglas

### Field Summary

Fields
`static TruePredicate` `INSTANCE`

### Fields inherited from interface io.undertow.predicate.Predicate

`PREDICATE_CONTEXT`

### Constructor Summary

Constructors
Constructor and Description
`TruePredicate()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static TruePredicate` `instance()`
`boolean` `resolve(HttpServerExchange value)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final TruePredicate INSTANCE

### Constructor Detail

#### TruePredicate

    public TruePredicate()

### Method Detail

#### instance

    public static TruePredicate instance()

#### resolve

    public boolean resolve(HttpServerExchange value)

Specified by:
  `resolve` in interface `Predicate`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`